## org.apache.poi.hpsf
Class UnexpectedPropertySetTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.UnexpectedPropertySetTypeException

All Implemented Interfaces:
  java.io.Serializable

public class UnexpectedPropertySetTypeException
extends HPSFException

This exception is thrown if a certain type of property set is expected (e.g. a Document Summary Information) but the provided property set is not of that type.

The constructors of this class are analogous to those of its superclass and documented there.

Since:
  2002-02-09
Version:
  $Id: UnexpectedPropertySetTypeException.java,v 1.6.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Constructor Summary
`UnexpectedPropertySetTypeException()`
`UnexpectedPropertySetTypeException(java.lang.String msg)`
`UnexpectedPropertySetTypeException(java.lang.String msg, java.lang.Throwable reason)`
`UnexpectedPropertySetTypeException(java.lang.Throwable reason)`

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException()

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException(java.lang.String msg)

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException(java.lang.Throwable reason)

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException(java.lang.String msg,
                                              java.lang.Throwable reason)

Copyright © 2003 Apache Software Foundation.